%global lockver 1
%global pkgvers 0
%global scdate0 20250524
%global schash0 356dddbc5508dd65f466098da26a2e47584eafdb
%global branch0 master
%global source0 https://github.com/asmjit/asmjit.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           asmjit
Version:        0
Epoch:          1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Lightweight library for machine code generation
License:        BSD

URL:            https://github.com/asmjit/asmjit

BuildRequires:  cmake gcc-c++ git

%global __cmake_in_source_build 1

%description
AsmJit is a lightweight library for machine
code generation written in C++ language.

%package        devel
Summary:        Development files
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
This package contains the development files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i 's|CXX_VISIBILITY_PRESET hidden|SOVERSION 1 VERSION 1.0|' CMakeLists.txt

mkdir build
pushd build
%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DCMAKE_INSTALL_LIBDIR=%{_libdir}

make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd


%files
%license LICENSE.md
%doc README.md
%{_libdir}/*.so.*

%files devel
%license LICENSE.md
%doc README.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/*


%changelog
* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com>
- github update releases
